Draft Point/tr: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
 
(51 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/tr|Name=Draft Point|Name/tr=Nokta|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft -> Point|Shortcut=P T}}


{{Docnav
==Description==
|[[Draft_BezCurve|BezCurve]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_BezCurve.svg
|IconR=Draft_Facebinder.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/tr
|Name=Draft Point
|Name/tr=Nokta
|MenuLocation=Taslak → Nokta
|Workbenches=[[Draft_Workbench/tr|Taslak]], [[Arch_Workbench/tr|Yapı]]
|Shortcut=P T
|SeeAlso=[[Draft Line/tr|Çizgi]], [[Draft Wire/tr|Tel]]
|Version=0.17
}}
</div>

<span id="Description"></span>
== Tanım ==


<div class="mw-translate-fuzzy">
The Point tool creates a simple point in the current [[Draft SelectPlane|work plane]], handy to serve as reference for placing other objects later. It takes the [[Draft Linestyle|color]] previously set on the Tasks tab.
Nokta aracı, geçerli [[Draft SelectPlane/tr|Çalışma düzlemi]] içinde basit bir nokta yaratır, daha sonra başka nesnelerin yerleştirilmesi için referans olarak kullanılmaya elverişlidir. [[Draft Tray/tr|Taslak Tepsi]] 'de ayarlanan [[Draft Linestyle/tr|Çizgi stili]] ayarlarını alır.
</div>


[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Nasıl Kullanılır ==
</div>


See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


<div class="mw-translate-fuzzy">
==Options==
#{{KEY|[[Image:Draft Point.png|16px]] Nokta}} tuşuna veya {{KEY|P}} basın ardından {{KEY|T}} basın.
# 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve {{Button|[[Image: Draft_AddPoint.svg | 16px]] Nokta ekle}} düğmesine basın.
</div>


<span id="Options"></span>
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
== Seçenekler ==
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
==Properties==


<div class="mw-translate-fuzzy">
* {{PropertyData|X}}: The X coordinate of the point
* Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında {{KEY|Enter}} tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda {{Button|[[Image: Draft_AddPoint.svg|16px]] Nokta ekle}} düğmesine basabilirsiniz.
* {{PropertyData|Y}}: The Y coordinate of the point
* '''Devam''' moduna geçmek için {{KEY|T}} tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, nokta aracı siz bir noktaya yerleştirdikten sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha yerleştirmenizi sağlar.
* {{PropertyData|Z}}: The Z coordinate of the point
* Geçerli komutu iptal etmek için {{KEY|Esc}} veya {{Button|Close}} düğmesine basınız.
</div>

==Notes==

* Use [[Image:Draft_Snap_Near.svg|16px]] [[Draft_Snap_Near|Draft Snap Near]] ({{VersionMinus|0.20}}) or [[Image:Draft_Snap_Endpoint.svg|16px]] [[Draft_Snap_Endpoint|Draft Snap Endpoint]] ({{VersionPlus|0.21}}) to snap to Draft points.

<span id="Properties"></span>
== Özellikler ==

See also: [[Property_editor|Property editor]].

A Draft Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}

<div class="mw-translate-fuzzy">
* {{PropertyData/tr|X}}: Noktanın X koordinatı
* {{PropertyData/tr|Y}}: Noktanın Y koordinatı
* {{PropertyData/tr|Z}}: Noktanın Z koordinatı
</div>

===View===

{{TitleProperty|Draft}}

* {{PropertyView|Pattern|Enumeration}}: not used.
* {{PropertyView|Pattern Size|Float}}: not used.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The Point tool can by used in [[macros]] and from the python console by using the following function:
== Betik ==
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
</div>

<div class="mw-translate-fuzzy">
Nokta aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve [[Python/tr|Python]] konsolundan kullanılabilir:
</div>

{{Code|code=
{{Code|code=
point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
makePoint([x],[y],[z])
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
}}
}}

* makes a point at the given coordinates. If no X, Y and Z coordinates are given, the point is created at (0,0,0). Returns the newly created object.
<div class="mw-translate-fuzzy">
* Belirtilen {{incode|X}}, {{incode|Y}} ve {{incode|Z}} koordinatlarında, birimler milimetre cinsinden bir {{incode|Point}} nesnesi oluşturur. Eğer koordinat verilmezse, başlangıç noktasında nokta oluşturulur (0,0,0). *
* Eğer {{incode|X}} bir {{incode|FreeCAD.Vector}} tarafından tanımlanan bir {{incode|point}} ise, kullanılır.
* {{incode|color}}, {{incode|(R, G, B)}} bir skaladır; nokta, RGB ölçeğindeki noktanın rengini gösterir; Bağlantıdaki her değer, {{incode|0}} ila {{incode|1}} aralığında olmalıdır.
* {{incode|name}}, nesnenin adıdır.
* {{incode|point_size}}, grafiksel kullanıcı arayüzü yüklendiğinde nesnenin piksel cinsinden boyutudur.
</div>


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
import Draft
import Draft

Draft.makePoint(6,4,2)
doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()
}}
}}


Örnek:
{{clear}}

This code creates {{incode|N}} random points within a square of side {{incode|2L}}. It makes a loop creating {{incode|N}} points, that may appear anywhere from {{incode|-L}} to {{incode|+L}} on both X and Y. It also chooses a random color and size for each point. Change {{incode|N}} to change the number of points, and change {{incode|L}} to change the area covered by the points.

{{Code|code=
import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()
}}


<div class="mw-translate-fuzzy">
{{Draft Tools navi/tr}}
{{Userdocnavi/tr}}
</div>

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 04:59, 9 January 2024

Nokta

Menü konumu
Taslak → Nokta
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
P T
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çizgi, Tel

Tanım

Nokta aracı, geçerli Çalışma düzlemi içinde basit bir nokta yaratır, daha sonra başka nesnelerin yerleştirilmesi için referans olarak kullanılmaya elverişlidir. Taslak Tepsi 'de ayarlanan Çizgi stili ayarlarını alır.

Nasıl Kullanılır

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Nokta tuşuna veya P basın ardından T basın.
  2. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Nokta ekle düğmesine basın.

Seçenekler

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Nokta ekle düğmesine basabilirsiniz.
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, nokta aracı siz bir noktaya yerleştirdikten sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha yerleştirmenizi sağlar.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Notes

Özellikler

See also: Property editor.

A Draft Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Draft

  • VERİX: Noktanın X koordinatı
  • VERİY: Noktanın Y koordinatı
  • VERİZ: Noktanın Z koordinatı

View

Draft

  • GörünümPattern (Enumeration): not used.
  • GörünümPattern Size (Float): not used.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Nokta aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Belirtilen X, Y ve Z koordinatlarında, birimler milimetre cinsinden bir Point nesnesi oluşturur. Eğer koordinat verilmezse, başlangıç noktasında nokta oluşturulur (0,0,0). *
  • Eğer X bir FreeCAD.Vector tarafından tanımlanan bir point ise, kullanılır.
  • color, (R, G, B) bir skaladır; nokta, RGB ölçeğindeki noktanın rengini gösterir; Bağlantıdaki her değer, 0 ila 1 aralığında olmalıdır.
  • name, nesnenin adıdır.
  • point_size, grafiksel kullanıcı arayüzü yüklendiğinde nesnenin piksel cinsinden boyutudur.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Örnek:

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y. It also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()